# Interface ParenthesizedTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface ParenthesizedTree extends ExpressionTree
A tree node for a parenthesized expression. Note: parentheses not be preserved by the parser. For example:

      ( expression )

See Java Language Specification:
  15.8.5 Parenthesized Expressions
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getExpression()`
Returns the expression within the parentheses.

### Methods declared in interface Tree

`accept, getKind`

## Method Details

### getExpression

ExpressionTree getExpression()
Returns the expression within the parentheses.

Returns:
  the expression